%global pkgname AutoDoc

Name:           gap-pkg-autodoc
Version:        2018.09.20
Release:        1%{?dist}
Summary:        Generate documentation from GAP source code

License:        GPLv2+
URL:            http://gap-packages.github.io/AutoDoc/
Source0:        https://github.com/gap-packages/AutoDoc/releases/download/v%{version}/%{pkgname}-%{version}.tar.gz
# Supply missing argument to STOP_TEST()
Patch0:         %{name}-test.patch
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
# Needed only for tests; can omit for bootstrapping
BuildRequires:  gap-pkg-io

Requires:       gap-core
Requires:       GAPDoc-latex

%description
This package is an add-on to GAPDoc that enables generating
documentation from GAP source code.

%prep
%autosetup -p0 -n %{pkgname}-%{version}

%build
mkdir ../pkg
ln -s ../AutoDoc-%{version} ../pkg
gap -l "$PWD/..;%{_gap_dir}" makedoc.g
rm -fr ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{doc/clean,CHANGES,COPYING,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,idx,ilg,ind,log,out,pnr,tex,toc}

%files
%doc README CHANGES
%license COPYING
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%{_gap_dir}/pkg/%{pkgname}/

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
! grep -Fq 'Errors detected' log
rm -f log

%changelog
* Mon Sep 24 2018 Jerry James <loganjerry@gmail.com> - 2018.09.20-1
- New upstream version
- Add check script

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2018.02.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 15 2018 Jerry James <loganjerry@gmail.com> - 2018.02.14-1
- New upstream version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2017.09.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Sep  9 2017 Jerry James <loganjerry@gmail.com> - 2017.09.08-1
- New upstream version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.12.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2016.12.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 10 2016 Jerry James <loganjerry@gmail.com> - 2016.12.04-1
- New upstream version

* Wed Nov 30 2016 Jerry James <loganjerry@gmail.com> - 2016.11.26-1
- New upstream version (bz 1400110)

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 2016.03.08-1
- New upstream version (bz 1314938)

* Thu Feb 18 2016 Jerry James <loganjerry@gmail.com> - 2016.02.16-1
- New upstream version (bz 1309144)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2016.01.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb  1 2016 Jerry James <loganjerry@gmail.com> - 2016.01.31-1
- New upstream version (bz 1303471)

* Thu Jan 21 2016 Jerry James <loganjerry@gmail.com> - 2016.01.21-1
- New upstream version (bz 1300867)

* Wed Nov 11 2015 Jerry James <loganjerry@gmail.com> - 2015.09.30-1
- New upstream version
- Update URLs
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source

* Mon Jun 22 2015 Jerry James <loganjerry@gmail.com> - 2015.04.29-2
- Remove erroneous isa tags
- Do not package 0-byte files

* Fri Jun 19 2015 Jerry James <loganjerry@gmail.com> - 2015.04.29-1
- Initial RPM (bz 1233984)
